OpenTTD: Data Fields - Variables

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

### - m -

- m : Blitter_32bppSimple::Pixel , SpriteLoader::CommonPixel
- m1 : Tile
- m2 : Tile
- m3 : Tile
- m4 : Tile
- m5 : Tile
- m6 : TileExtended
- m7 : TileExtended
- m_arr : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- m_closed : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- m_cur_struct : DumpTarget
- m_destTile : CYapfDestinationTileT< Types >
- m_destTrackdirs : CYapfDestinationTileT< Types >
- m_exitdir : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- m_indent : DumpTarget
- m_is_bridge : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- m_is_station : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- m_is_tunnel : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- m_known_names : DumpTarget
- m_max_cost : CYapfCostRailT< Types >
- m_max_search_nodes : CYapfBaseT< Types >
- m_new_node : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- m_new_td_bits : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- m_new_tile : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- m_nodes : CYapfBaseT< Types >
- m_num_steps : CYapfBaseT< Types >
- m_old_td : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- m_old_tile : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- m_open : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- m_open_queue : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- m_orgTd : CYapfOriginTileTwoWayT< Types >
- m_orgTile : CYapfOriginTileT< Types > , CYapfOriginTileTwoWayT< Types >
- m_orgTrackdirs : CYapfOriginTileT< Types >
- m_origin_tile : CYapfReserveTrack< Types >
- m_out : DumpTarget
- m_pBestDestNode : CYapfBaseT< Types >
- m_pBestIntermediateNode : CYapfBaseT< Types >
- m_perf_cost : CYapfBaseT< Types >
- m_perf_other_cost : CYapfBaseT< Types >
- m_perf_slope_cost : CYapfBaseT< Types >
- m_perf_ts_cost : CYapfBaseT< Types >
- m_pT : CCountedPtr< Tcls_ >
- m_res_dest : CYapfReserveTrack< Types >
- m_res_dest_td : CYapfReserveTrack< Types >
- m_res_fail_td : CYapfReserveTrack< Types >
- m_res_fail_tile : CYapfReserveTrack< Types >
- m_res_node : CYapfReserveTrack< Types >
- m_reverse_penalty : CYapfOriginTileTwoWayT< Types >
- m_revTd : CYapfOriginTileTwoWayT< Types >
- m_revTile : CYapfOriginTileTwoWayT< Types >
- m_settings : CYapfBaseT< Types >
- m_stats_cache_hits : CYapfBaseT< Types >
- m_stats_cost_calcs : CYapfBaseT< Types >
- m_thr : ThreadObject_MorphOS
- m_tiles_skipped : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- m_treat_first_red_two_way_signal_as_eol : CYapfOriginTileTwoWayT< Types >
- m_val : TinyEnumT< Tenum_t > , SimpleTinyEnumT< enum_type, storage_type >
- m_value : OverflowSafeInt< T, T_MAX, T_MIN >
- m_veh : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks > , CYapfBaseT< Types >
- m_veh_owner : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- magic_bulldozer : Cheats
- mail_capacity : AircraftVehicleInfo , RefitResult
- mail_generation : HouseSpec
- main_script : ScriptInfo , ScriptScanner
- maintenance_cost : AirportSpec
- maintenance_multiplier : RailtypeInfo
- make_square_red : TileHighlightData
- manually : NetworkGameList , NetworkUDPQueryServerInfo
- manually_changed_folding : GameSettingsWindow
- many : SettingDescBase
- map_colour : IndustrySpec , RailtypeInfo
- map_height : NetworkGameInfo
- map_iter : MultiMapIterator< Tmap_iter, Tlist_iter, Tkey, Tvalue, Tcompare >
- map_name : NetworkServerGameInfo
- map_set : NetworkGameInfo
- map_type : SmallMapWindow
- map_width : NetworkGameInfo
- map_x : GameCreationSettings
- map_y : GameCreationSettings
- mapping_ID : OverrideManagerBase
- markend : Textbuf
- marklength : Textbuf
- markpos : Textbuf
- markxoffs : Textbuf
- masked : DropDownListItem
- master : StringReader
- match : StringFilter::WordState
- match_case : SignList
- material : BridgeSpec
- MATRIX_TEXT_OFFSET : BuildIndustryWindow
- max : SettingDescBase
- max_age : Vehicle
- max_aircraft : VehicleSettings
- MAX_BREAK_STR_STRING_LENGTH : AIDebugWindow
- max_bridge_height : ConstructionSettings
- max_bridge_length : ConstructionSettings
- max_bytes : Textbuf
- max_chars : Textbuf
- max_clients : NetworkSettings
- max_commands_in_queue : NetworkSettings
- max_companies : NetworkSettings
- max_compression : SaveLoadFormat
- MAX_COUNT : CargoPacket
- max_dist : SpotData
- max_distance : DemandCalculator
- max_download_time : NetworkSettings
- MAX_EXTRA_INFO_WIDTH : NWidgetNewGRFDisplay
- max_heightlevel : ConstructionSettings , SmallMapWindow
- max_init_time : NetworkSettings
- max_join_time : NetworkSettings
- max_lag_time : NetworkSettings
- max_length : BridgeSpec
- max_loan : Economy , DifficultySettings
- max_money : CompanyFinancesWindow
- max_move : CargoRemoval< Tsource > , CargoMovement< Tsource, Tdest >
- max_new_entities : OverrideManagerBase
- max_no_competitors : DifficultySettings
- max_num_autosaves : GUISettings
- max_offset : OverrideManagerBase
- max_palette_offset : TileLayoutRegisters
- max_password_time : NetworkSettings
- max_path_cost : AyStar
- max_range : AircraftVehicleInfo
- max_roadveh : VehicleSettings
- max_saturation : MultiCommodityFlow
- max_search_nodes : AyStar , YAPFSettings
- max_ships : VehicleSettings
- MAX_SIZE : Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >
- max_spectators : NetworkSettings
- max_speed : RailVehicleInfo , AircraftVehicleInfo , RoadVehicleInfo , Order , RailtypeInfo , ShipVehicleInfo
- max_sprite_offset : TileLayoutRegisters
- max_sprites : Action5Type
- max_strings : StringData
- max_train_length : VehicleSettings
- max_trains : VehicleSettings
- max_tunnel_length : ConstructionSettings
- max_value : GRFParameterInfo , ScriptConfigItem
- max_wait : IndustryTypeBuildData
- max_waiting_cargo : GoodsEntry
- max_year : SetDateWindow , HouseSpec , AirportSpec , Disaster
- maxid : FreeUnitIDGenerator
- maximum_go_to_depot_penalty : NPFSettings , YAPFSettings
- md5sum : ScenarioIdentifier , ContentInfo , GRFIdentifier , ScriptFileChecksumCreator
- measure_tooltip : GUISettings
- medium : FreeTypeSettings
- medium_value : ScriptConfigItem
- menu_text : RailtypeInfo
- message : QueryWindow , ChatMessage , GRFError , CommandCost , CrashLog
- message_editbox : NetworkChatWindow
- min : SettingDescBase , TownNameGeneratorParams
- min_active_clients : NetworkSettings
- min_cat : SettingFilter
- min_compression : SaveLoadFormat
- MIN_EXTRA_FOR_3_COLUMNS : NWidgetNewGRFDisplay
- MIN_GRAPH_NUM_LINES_Y : BaseGraphWindow
- MIN_GRID_PIXEL_SIZE : BaseGraphWindow
- min_length : BridgeSpec
- min_loadable_version : AIInfo , GRFConfig , GameInfo
- min_number : IndustryTypeBuildData
- min_number_of_columns : SmallMapWindow
- min_number_of_fixed_rows : SmallMapWindow
- min_river_length : GameCreationSettings
- min_sprites : Action5Type
- MIN_TIMEOUT_DISTANCE : LinkGraph
- min_value : ScriptConfigItem , GRFParameterInfo
- min_x : NWidgetResizeBase
- min_y : NWidgetResizeBase
- min_year : AirportSpec , Disaster , HouseSpec , SetDateWindow
- minimal_cargo : IndustrySpec
- minimum_life : HouseSpec
- MINIMUM_NAME_WIDTH_BEFORE_NEW_HEADER : NWidgetServerListHeader
- misc_flags : EngineInfo
- missing : LanguagePackHeader
- missing_strings_threshold : GUISettings
- missing_warning : MD5File
- mod_dist : DemandCalculator
- mod_road_rebuild : EconomySettings
- mod_size : SymmetricScaler
- mode : LoggedChange , TextEffect , NewGrfDebugSpritePicker , GenWorldInfo , ScriptStorage , SettingFilter
- mode_instance : ScriptStorage
- modified : LoggedChange
- modified_catchment : StationSettings
- money : NetworkCompanyInfo , CompanyProperties , Cheats
- money_fraction : CompanyProperties
- mono : FreeTypeSettings
- month : YearMonthDay
- months_empty : NetworkCompanyState
- months_of_bankruptcy : CompanyProperties
- motion_counter : Vehicle
- moving_data : AirportFTAClass
- msg : OTTDThreadStartupMessage , Script_FatalError
- multiple_industry_per_town : EconomySettings
- multiplier : UnitConversion , CargoSpec
- multipliertowngrowth : CargoSpec
- music : ClientSettings
- music_vol : MusicSettings
- mutex : PacketWriter , ThreadMutex_OS2 , ThreadMutex_pthread
- my_client : ClientNetworkGameSocketHandler
- my_cmd : CommandPacket